Loading...
Searching...
No Matches
fixed_iterator.h File Reference
`#include "platform.h"`
`#include "iterator.h"`

Go to the source code of this file.

## Classes

class | etl::fixed_iterator< TIterator >

## Namespaces

namespace | etl

## Functions

template<typename TIterator>
ETL_CONSTEXPR14 etl::fixed_iterator< TIterator > & | etl::operator+ (etl::fixed_iterator< TIterator > &lhs, typename etl::iterator_traits< TIterator >::difference_type)
template<typename TIterator>
ETL_CONSTEXPR14 etl::fixed_iterator< TIterator > & | etl::operator- (etl::fixed_iterator< TIterator > &lhs, typename etl::iterator_traits< TIterator >::difference_type)
template<typename TIterator>
ETL_CONSTEXPR etl::iterator_traits< TIterator >::difference_type | etl::operator- (const etl::fixed_iterator< TIterator > &lhs, const etl::fixed_iterator< TIterator > &rhs)
template<typename TIterator>
ETL_CONSTEXPR bool | etl::operator== (const etl::fixed_iterator< TIterator > &lhs, const etl::fixed_iterator< TIterator > &rhs)
| Equality operator. fixed_iterator == fixed_iterator.
template<typename TIterator>
ETL_CONSTEXPR bool | etl::operator== (const etl::fixed_iterator< TIterator > &lhs, TIterator rhs)
| Equality operator. fixed_iterator == iterator.
template<typename TIterator>
ETL_CONSTEXPR bool | etl::operator== (TIterator lhs, const etl::fixed_iterator< TIterator > &rhs)
| Equality operator. iterator == fixed_iterator.
template<typename TIterator>
ETL_CONSTEXPR bool | etl::operator!= (const etl::fixed_iterator< TIterator > &lhs, const etl::fixed_iterator< TIterator > &rhs)
| Inequality operator. fixed_iterator == fixed_iterator.
template<typename TIterator>
ETL_CONSTEXPR bool | etl::operator!= (const etl::fixed_iterator< TIterator > &lhs, TIterator rhs)
| Inequality operator. fixed_iterator == iterator.
template<typename TIterator>
ETL_CONSTEXPR bool | etl::operator!= (TIterator lhs, const etl::fixed_iterator< TIterator > &rhs)
| Inequality operator. iterator == fixed_iterator.